import sys
import os
#from threading import Thread
#from queue import Queue, Empty

from py_module.whiptail import Whiptail
import py_module.yaml as yaml

from .base import Base
from .services import *
####
class Ins_Eula(Base):
    def preload(self):
        self.menu = (
            ('eula','Лицензионное соглашение','ON'),
        );

        self.logger.info('Чтение лицензионного соглашения')
        self.form.textbox('./license/eula.txt')


#self.form.yesno

    def postload(self):

        return self;

